Subject: [extropy-chat] Reviewer

From: Keith Henson <[email-masked]>
Date: Sun, 26 Dec 2004 22:26:57 -0500

I have an article for print that is close to completion.  The
tentative title is Memetics, Evolutionary Psychology, and the Origin
of War.

Obviously I can't just post it and ask for comment.

So if any of you out there would be willing to review the article and
send me comments on it, please email me and I will send you an off list copy
soon as I get it done.

Put Review in the subject so it doesn't get eaten by a filter.

Thanks!

Keith Henson

_______________________________________________
extropy-chat mailing list
[email-masked]
http://lists.extropy.org/mailman/listinfo/extropy-chat